/*-------------------------------------------------------------------------
 |                                                                         
 |                    SAS SETUP FILE FOR 
 |        TREATMENT EPISODE DATA SET -- ADMISSIONS (TEDS-A) - 1992
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace 'SAS-dataset' with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

* SAS DATA STEP;
DATA;
SET SAS-dataset ;

* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
    IF (YEAR  <= -8) THEN YEAR  = .;
    IF (AGE  <= -8) THEN AGE  = .;
    IF (GENDER  <= -8) THEN GENDER  = .;
    IF (RACE  <= -8) THEN RACE  = .;
    IF (ETHNIC  <= -8) THEN ETHNIC  = .;
    IF (MARSTAT  <= -8) THEN MARSTAT  = .;
    IF (EDUC  <= -8) THEN EDUC  = .;
    IF (EMPLOY  <= -8) THEN EMPLOY  = .;
    IF (DETNLF  <= -8) THEN DETNLF  = .;
    IF (PREG  <= -8) THEN PREG  = .;
    IF (VET  <= -8) THEN VET  = .;
    IF (LIVARAG  <= -8) THEN LIVARAG  = .;
    IF (PRIMINC  <= -8) THEN PRIMINC  = .;
    IF (STFIPS  <= -8) THEN STFIPS  = .;
    IF (CBSA  <= -8) THEN CBSA  = .;
    IF (PMSA  <= -8) THEN PMSA  = .;
    IF (REGION  <= -8) THEN REGION  = .;
    IF (DIVISION  <= -8) THEN DIVISION  = .;
    IF (SERVSETA  <= -8) THEN SERVSETA  = .;
    IF (METHUSE  <= -8) THEN METHUSE  = .;
    IF (PSOURCE  <= -8) THEN PSOURCE  = .;
    IF (DETCRIM  <= -8) THEN DETCRIM  = .;
    IF (NOPRIOR  <= -8) THEN NOPRIOR  = .;
    IF (SUB1  <= -8) THEN SUB1  = .;
    IF (ROUTE1  <= -8) THEN ROUTE1  = .;
    IF (FREQ1  <= -8) THEN FREQ1  = .;
    IF (FRSTUSE1  <= -8) THEN FRSTUSE1  = .;
    IF (SUB2  <= -8) THEN SUB2  = .;
    IF (ROUTE2  <= -8) THEN ROUTE2  = .;
    IF (FREQ2  <= -8) THEN FREQ2  = .;
    IF (FRSTUSE2  <= -8) THEN FRSTUSE2  = .;
    IF (SUB3  <= -8) THEN SUB3  = .;
    IF (ROUTE3  <= -8) THEN ROUTE3  = .;
    IF (FREQ3  <= -8) THEN FREQ3  = .;
    IF (FRSTUSE3  <= -8) THEN FRSTUSE3  = .;
    IF (NUMSUBS  <= -8) THEN NUMSUBS  = .;
    IF (IDU  <= -8) THEN IDU  = .;
    IF (ALCFLG  <= -8) THEN ALCFLG  = .;
    IF (COKEFLG  <= -8) THEN COKEFLG  = .;
    IF (MARFLG  <= -8) THEN MARFLG  = .;
    IF (HERFLG  <= -8) THEN HERFLG  = .;
    IF (METHFLG  <= -8) THEN METHFLG  = .;
    IF (OPSYNFLG  <= -8) THEN OPSYNFLG  = .;
    IF (PCPFLG  <= -8) THEN PCPFLG  = .;
    IF (HALLFLG  <= -8) THEN HALLFLG  = .;
    IF (MTHAMFLG  <= -8) THEN MTHAMFLG  = .;
    IF (AMPHFLG  <= -8) THEN AMPHFLG  = .;
    IF (STIMFLG  <= -8) THEN STIMFLG  = .;
    IF (BENZFLG  <= -8) THEN BENZFLG  = .;
    IF (TRNQFLG  <= -8) THEN TRNQFLG  = .;
    IF (BARBFLG  <= -8) THEN BARBFLG  = .;
    IF (SEDHPFLG  <= -8) THEN SEDHPFLG  = .;
    IF (INHFLG  <= -8) THEN INHFLG  = .;
    IF (OTCFLG  <= -8) THEN OTCFLG  = .;
    IF (OTHERFLG  <= -8) THEN OTHERFLG  = .;
    IF (ALCDRUG  <= -8) THEN ALCDRUG  = .;
    IF (DSMCRIT  <= -8) THEN DSMCRIT  = .;
    IF (PSYPROB  <= -8) THEN PSYPROB  = .;
    IF (HLTHINS  <= -8) THEN HLTHINS  = .;
    IF (PRIMPAY  <= -8) THEN PRIMPAY  = .;
    IF (DAYWAIT  <= -8) THEN DAYWAIT  = .;
    IF (CASEID  <= -8) THEN CASEID  = .;
*/

RUN;
